package shadersmod.transform;

import static org.objectweb.asm.Opcodes.*;
import net.minecraft.launchwrapper.IClassTransformer;

import org.objectweb.asm.ClassReader;
import org.objectweb.asm.ClassVisitor;
import org.objectweb.asm.ClassWriter;
import org.objectweb.asm.MethodVisitor;
import org.objectweb.asm.Opcodes;

import shadersmod.client.SVertexFormat;
import shadersmod.common.SMCEnvironment;
import shadersmod.common.SMCLog;

public class SMCCTForgeHooksClients implements IClassTransformer {

	@Override
	public byte[] transform(String par1, String par2, byte[] par3) {
		SMCLog.fine("visiting %s %s",par1,par2);
		if (par3 != null) {
			SMCEnvironment.hasForge = true;
		}
		return par3;
	}

}
